# $Id: nrpe.spec 1444 2003-12-11 14:43:56Z joostvb $

%define version 2.0
%define name nrpe
%define release 1.intergenia
%define source_ext gz
%define make make

Summary:	Nagios remote plugin executor (daemon and plugin)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.%{source_ext}
Source1:	nrpe.init
License:	GPL
Group:		Applications/System
URL:		http://www.non-gnu.uvt.nl/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		%{_prefix}
Packager:	Maik Broemme <mbroemme@plusserver.de>
Vendor:		Intergenia AG
Requires:	nagios-plugins >= 1.4.0
BuildPrereq:	openssl-devel >= 0.9.7a-2

%description
nrpe is a server and plugin pair to allow Nagios plugins to be executed
on hosts other than the main Nagios server. Possible uses include
checking the load and disk usage of remote machines, or checking network
connectivity from a remote machine's perspective.

This package contains both the daemon half which runs on a remote monitored
machine, as well as the plugin portion which is run like any other Nagios
plugin on the Nagios server in order to collect information from remote
machines.

%prep
%setup -q

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 src/nrpe $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 nrpe.cfg $RPM_BUILD_ROOT/etc/nrpe.cfg
mkdir -p $RPM_BUILD_ROOT/usr/lib/nagios/plugins
install -m 755 src/check_nrpe $RPM_BUILD_ROOT/usr/lib/nagios/plugins
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/nrpe.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nrpe

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nrpe

%postun
/sbin/service nrpe condrestart > /dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]
then
    /sbin/service nrpe stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del nrpe
fi

%files
%defattr(-,root,root)
%doc Changelog README
%attr(0755,root,root) %{_sbindir}/nrpe
%attr(0755,root,root) %{_libdir}/nagios/plugins/check_nrpe
%attr(0755,root,root) %config /etc/rc.d/init.d/nrpe
%attr(0755,root,root) %config /etc/nrpe.cfg

%changelog
* Fri Jun 25 2004 Maik Broemme <mbroemme@plusserver.de>
- rebuilt with nrpe-2.0

* Thu Dec 11 2003 Joost van Baal <joostvb@uvt.nl>
- improved init script: nrpe is installed in /usr/sbin (not /usr/bin), check
  for existence of daemon and config file.

* Thu Dec 11 2003 Joost van Baal <joostvb@uvt.nl>
- install upstream supplied Red Hat style init script

* Tue Oct 21 2003 Joost van Baal <joostvb@uvt.nl>
- initial release


